#pragma once

#include "CoreMinimal.h"
#include "AnimationLayerCondition.h"
#include "EGuidedState.h"
#include "ALCHasAnyGuidedState.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UALCHasAnyGuidedState : public UAnimationLayerCondition
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<EGuidedState> GuidedStates;

public:
	UALCHasAnyGuidedState();
};

FORCEINLINE uint32 GetTypeHash(const UALCHasAnyGuidedState) { return 0; }
